org.appng.core.controller

## Class PlatformStartup

- java.lang.Object
- - org.appng.core.controller.PlatformStartup

- All Implemented Interfaces:
    EventListener, javax.servlet.ServletContextListener

      public class PlatformStartup
      extends Object
      implements javax.servlet.ServletContextListener

  This `ServletContextListener` is used to initialize the appNG platform. This includes loading the configuration from "/conf/appNG.properties", initializing the `ApplicationContext` from `/WEB-INF/conf/platformContext.xml` and loading all active `Site`s with their configured `Application`s.
  Author:
    Matthias Müller

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APPNG_CONTEXT`
    `static String` | `CONFIG_LOCATION`
    `static String` | `WEB_INF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlatformStartup()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contextDestroyed(javax.servlet.ServletContextEvent sce)`
    `void` | `contextInitialized(javax.servlet.ServletContextEvent sce)`
    `protected InitializerService` | `getService(Environment env)`
    `protected void` | `initPlatformContext(javax.servlet.ServletContext ctx, Environment env, Properties config, DatabaseConnection platformConnection)`
    `boolean` | `shutdownCleanUpThread(String packagePrefix)`
    `void` | `shutDownExecutor(ExecutorService executor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APPNG_CONTEXT

          public static final String APPNG_CONTEXT

      See Also:
        Constant Field Values

    - #### CONFIG_LOCATION

          public static final String CONFIG_LOCATION

      See Also:
        Constant Field Values

    - #### WEB_INF

          public static final String WEB_INF

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PlatformStartup

          public PlatformStartup()

  - ### Method Detail

    - #### contextInitialized

          public void contextInitialized(javax.servlet.ServletContextEvent sce)

      Specified by:
        `contextInitialized` in interface `javax.servlet.ServletContextListener`

    - #### initPlatformContext

          protected void initPlatformContext(javax.servlet.ServletContext ctx,
                                             Environment env,
                                             Properties config,
                                             DatabaseConnection platformConnection)
                                      throws IOException

      Throws:
        `IOException`

    - #### contextDestroyed

          public void contextDestroyed(javax.servlet.ServletContextEvent sce)

      Specified by:
        `contextDestroyed` in interface `javax.servlet.ServletContextListener`

    - #### shutdownCleanUpThread

          public boolean shutdownCleanUpThread(String packagePrefix)

    - #### shutDownExecutor

          public void shutDownExecutor(ExecutorService executor)

    - #### getService

          protected InitializerService getService(Environment env)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.